My new pc and lastest quake injector.

So, my old pc is no longer working and I want to install quake injector to the new one. My problem is that I don’t remember how I did it. As stated on the quake injector installation page, I know I need the jdk java files, which I have, but I don’t really understand where to put them or what to do with them. Although I have the jdk files downloaded and unzipped, I still get this error when trying to launch quake injector within my quakespasm folder: “Error: a JNI error has occurred, please check your installation and try again” and then, when I press ok on that, “A Java Exception has occurred.” I do have Java installed. Thanks for reading. (Edit: and yes I am connected to the Internet. I forgot to say I’m on Windows 10.)

SOLVED: I was using the jdk binaries instead of the jdk installer which you can download online. Silly me.

Don’t blame yourself, I don’t even know what Java version I have on my system. It’s utterly confusing.